Bug 96035 - [update] net/gq: update to 1.0rc1 and take maintainership
Summary: [update] net/gq: update to 1.0rc1 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-19 04:20 UTC by dryice
Modified: 2006-05-14 17:21 UTC (History)
0 users

See Also:


Attachments
file.diff (6.60 KB, patch)
2006-04-19 04:20 UTC, dryice
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dryice 2006-04-19 04:20:12 UTC
	changes:
		- update to 1.0 rc1
		- change patch file names and utilize DATADIR to make
		  portlint happy
		- take maintainership. Thanks the previous
		  maintainers!

Fix: --- attached file begins here ---
Comment 1 Sergey Matveychuk 2006-04-19 08:30:47 UTC
Does not build on 4.11:
cc -DHAVE_CONFIG_H -I. -I. -I..  -Wall -W -Wno-unused
-Wmissing-declarations -Wcast-align -Wpointer-arith -DLDAP_DEPRECATED
-I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
-I/usr/local/include/atk-1.0 -I/usr/local/include/cairo
-I/usr/X11R6/include/gtk-2.0 -I/usr/X11R6/lib/gtk-2.0/include
-I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include
-I/usr/local/include/freetype2 -I/usr/local/include  -O -pipe
-I/usr/local/include/libxml2 -DLOCALEDIR=\"/usr/X11R6/share/locale\" -c
browse.c
browse.c: In function `gq_tree_insert_node':
browse.c:168: syntax error before `*'
browse.c:175: `new_node' undeclared (first use in this function)
browse.c:175: (Each undeclared identifier is reported only once
browse.c:175: for each function it appears in.)
browse.c:181: warning: control reaches end of non-void function
browse.c: In function `new_browsemode':
browse.c:794: warning: passing arg 1 of `browse_dnd_setup' from
incompatible pointer type
gmake[2]: *** [browse.o] Error 1
gmake[2]: Leaving directory `/work/a/ports/net/gq/work/gq-1.0rc1/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/work/a/ports/net/gq/work/gq-1.0rc1'
gmake: *** [all] Error 2
*** Error code 2

Stop in /a/ports/net/gq.

-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2006-04-19 08:31:44 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 3 dryice 2006-04-20 04:02:13 UTC
Sergey Matveychuk <sem@ciam.ru> wrote:

> Does not build on 4.11:
> cc -DHAVE_CONFIG_H -I. -I. -I..  -Wall -W -Wno-unused
> -Wmissing-declarations -Wcast-align -Wpointer-arith -DLDAP_DEPRECATED
> -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include
> -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo
> -I/usr/X11R6/include/gtk-2.0 -I/usr/X11R6/lib/gtk-2.0/include
> -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include
> -I/usr/local/include/freetype2 -I/usr/local/include  -O -pipe
> -I/usr/local/include/libxml2 -DLOCALEDIR=\"/usr/X11R6/share/locale\" -c
> browse.c
> browse.c: In function `gq_tree_insert_node':
> browse.c:168: syntax error before `*'
> browse.c:175: `new_node' undeclared (first use in this function)
> browse.c:175: (Each undeclared identifier is reported only once
> browse.c:175: for each function it appears in.)
> browse.c:181: warning: control reaches end of non-void function
> browse.c: In function `new_browsemode':
> browse.c:794: warning: passing arg 1 of `browse_dnd_setup' from
> incompatible pointer type
> gmake[2]: *** [browse.o] Error 1
> gmake[2]: Leaving directory `/work/a/ports/net/gq/work/gq-1.0rc1/src'
> gmake[1]: *** [all-recursive] Error 1
> gmake[1]: Leaving directory `/work/a/ports/net/gq/work/gq-1.0rc1'
> gmake: *** [all] Error 2
> *** Error code 2
>
> Stop in /a/ports/net/gq.

Looks this need a newer version of the gnome lib. However I don't have
access to a 4.11 box. Could you send me the full log and config.log?

-- 
Dryice @ http://dryice.name

Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/sylvester-response.html
Comment 4 Sam Lawrance freebsd_committer 2006-05-13 13:45:05 UTC
State Changed
From-To: feedback->open

Feedback was received.  I'll have a look at the build on 
4.x, but if it sucks too much we can mark it BROKEN. 


Comment 5 Sam Lawrance freebsd_committer 2006-05-13 13:45:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take.
Comment 6 Sam Lawrance freebsd_committer 2006-05-14 17:21:29 UTC
State Changed
From-To: open->closed

Committed, thanks! Now builds on 4.x with the addition of USE_GCC=3.4+.